For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get warehouse details

Get details a warehouse.

get
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
externalIdstringRequired
lastModifiedAtstring · date-timeRequired
namestringRequired
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "externalId": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "warehouseUid": "text",
  "accessList": [
    {
      "role": "DELIVER",
      "storeUid": "text",
      "storeName": "text",
      "warehouseUid": "text",
      "warehouseName": "text",
      "warehouseAccessUid": "text"
    }
  ]
}

Last updated

Was this helpful?